import request, { postBlob } from "@/utils/request";

// 获取支付记录列表
export function getPayRecordList(params) {
  return request({
    url: "/pay/manage/list",
    method: "get",
    params
  });
}

// 退款
export function refund(params) {
  return request({
    url: "/pay/manage/refund",
    method: "post",
    data: params
  });
}

export function getNewPayRecordList(data) {
  return request({
    url: `/pay/manage/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewPayRecordList(data, name) {
  return postBlob({
    url: "/pay/manage/zfire/list/export",
    data,
    name
  });
}

// 刷新重查一次支付记录
export function refreshQueryPayRecord(params) {
  return request({
    url: "/pay/manage/refresh-query",
    method: "get",
    params
  });
}
