import request,{postBlob} from '@/utils/request'

// 新增网点销售单
export function addSaleSheet(params) {
  return request({
    url: '/shop/sale/add',
    method: 'post',
    data: params
  })
}

// 编辑网点销售单
export function editSaleSheet(params) {
  return request({
    url: '/shop/sale/update',
    method: 'post',
    data: params
  })
}

// 获取网点销售单信息
export function getSaleSheet(params) {
  return request({
    url: '/shop/sale/detail',
    method: 'get',
    params
  })
}

// 获取网点销售单列表
export function getSaleSheetList(params) {
  return request({
    url: '/shop/sale/list',
    method: 'get',
    params
  })
}

// 获取网点辅材列表
export function getGoodsList(params) {
  return request({
    url: '/shop/goods/list',
    method: 'get',
    params
  })
}

// 审核网点销售单
export function confirmSaleSheet(params) {
  return request({
    url: '/shop/sale/confirm',
    method: 'post',
    params
  })
}

// 反审网点销售单
export function unAuditSaleSheet(params) {
  return request({
    url: '/shop/sale/unAudit',
    method: 'post',
    params
  })
}

// 下推网点销售单
export function pushSaleSheet(params) {
  return request({
    url: '/shop/sale/push',
    method: 'post',
    params
  })
}

// 删除网点销售单
export function delSaleSheet(params) {
  return request({
    url: '/shop/sale/del',
    method: 'post',
    params
  })
}

// 获取分类列表
export function getCategoryList(params) {
  return request({
    url: '/sys/category/list',
    method: 'get',
    params
  })
}

// 获取客户列表
export function getCustomerList(params) {
  return request({
    url: '/k3/customer/search',
    method: 'get',
    params
  })
}

// 改变支付方式
export function changePay(params) {
  return request({
    url: '/shop/sale/change/payType',
    method: 'post',
    params
  })
}

// 查询二维码支付状态
export function checkPay(params) {
  return request({
    url: '/shop/sale/query/pay/status',
    method: 'get',
    params
  })
}

// 网点支付配置列表
export function payConfigList(params) {
  return request({
    url: '/shop/sale/pay-config-list',
    method: 'get',
    params
  })
}

// 销售单类型统计
export function salesOrderType(params) {
  return request({
    url: '/shop/sale/type/count',
    method: 'get',
    params
  })
}

// 确认提货
export function confirmDelivery(params) {
  return request({
    url: '/worker/sales/confirmDelivery',
    method: 'post',
    params
  })
}



export function getNewSaleSheetList(data) {
  console.log(data,999);
  return request({
    url: `/shop/sale/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewSaleSheetList(data, name) {
  return postBlob({
    url: '/shop/sale/zfire/list/export',
    data,
    name
  })
}