import request,{postBlob} from '@/utils/request'

// 工单安装数据列表
export function getWorkInstallDataList(params) {
  return request({
    url: '/shop/work-install-data/list',
    method: 'get',
    params
  })
}

// 工单安装数据详情
export function getWorkInstallDataDetail(params) {
  return request({
    url: '/shop/work-install-data/detail',
    method: 'get',
    params
  })
}

// 新增工单安装数据
export function addWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/add',
    method: 'post',
    data: params
  })
}

// 修改工单安装数据
export function editWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/update',
    method: 'post',
    data: params
  })
}

// 工单安装数据提交
export function submitWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/submit',
    method: 'get',
    params
  })
}

// 工单安装数据撤消
export function revokeWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/revoke',
    method: 'get',
    params
  })
}

// 工单安装数据审核
export function confirmWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/confirm',
    method: 'get',
    params
  })
}

// 工单安装数据删除
export function delWorkInstallData(params) {
  return request({
    url: '/shop/work-install-data/del',
    method: 'get',
    params
  })
}

export function getNewWorkInstallDataList(data) {
  console.log(data,999);
  return request({
    url: `/shop/work-install-data/zfire/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 导出
export function exportNewWorkInstallDataList(data, name) {
  return postBlob({
    url: '/shop/work-install-data/zfire/list/export',
    data,
    name
  })
}